Inner Space - Bug - Static Analysis #1145

LSModule SDK 20: C28182 Dereferencing a copy of a null pointer
2014-01-21 01:21 PM - CyberTech

Status: New Start date: 2014-01-21
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

vbulletin_issue_id:

Description

C28182 Dereferencing a copy of a null pointer
Dereferencing NULL pointer. 'argv' contains the same NULL value as 'realloc() 395' did.

e Line 395: 'argv' may be NULL
e Line 398: 'argv' is dereferenced, but may still be NULL

LSMMySQL - Ismodule.h (Line 398)

Related issues:
Related to Inner Space - Bug - Static Analysis #1146: LsModule SDK 20: C6308 ... New 2014-01-21

History

#1 - 2014-01-21 01:23 PM - CyberTech
- Related to Bug - Static Analysis #1147: LSModule SDK 20: C6340 Incorrect type passed as parameter in call to function added

#2 - 2014-01-21 01:24 PM - CyberTech
- Related to deleted (Bug - Static Analysis #1147: LSModule SDK 20: C6340 Incorrect type passed as parameter in call to function)

#3 - 2014-01-21 01:24 PM - CyberTech
- Related to Bug - Static Analysis #1146: LsModule SDK 20: C6308 Realloc leak added

#4 - 2014-03-19 07:48 PM - CyberTech
- Tracker changed from Bug to Bug - Static Analysis
